Subject: RE: draft-ietf-mpls-diff-ext-07.txt

From: Steve Yao <[email-masked]>
Date: Wed, 1 Nov 2000 21:23:51 -0600

Curtis,

Please see my comments below.

> -----Original Message-----
> From: Curtis Villamizar [mailto:[email-masked]]
> Sent: Wednesday, November 01, 2000 6:05 PM
> To: Eleonora Manconi (TEI)
> Cc: [email-masked]'
> Subject: Re: draft-ietf-mpls-diff-ext-07.txt 
> 
> 
> 
> In message 
> <[email-masked]
> >, "Eleonora Manconi (TEI)" writes:
> > Hi all, 
> > I have some question about draft-ietf-mpls-diff-ext-07.txt:
> > -in E-LSP method, PSC is inferred from EXP field. The 
> question is: PSC means 
> > only priority or I can infer also other information like 
> loss, delay, etc. fr
> > om EXP field? Are these information meaningful for MPLS? 
> 
> With unsignaled E-LSP a provider may confiugre any mapping of EXP to
> PHB and must set any queueing preference, queue weights or drop
> preferences associated with each PHB by configuration only.
> 
> With L-LSP or signaled E-LSP, the PSC is explicitly signaled and the
> provider may either configure queueing preference, queue weights or
> drop preferences directly or configure a mapping from the sum of
> reservations of given types to queueing preference, queue weights or
> drop preferences (though I can personally only see the use in mapping
> sum of reservations at a PSC to queue weight).
> 
With E-LSP, no matter signaled or not, the mapping is always EXP to PHB. For
signaled E-LSP, the queueing preference, queue weights, and drop preferences
are determined by the PHB signaled. Thus there is no need to configure a
mapping mentioned above.

> > -In which kind of scenarios it is (does it is?) meaningful 
> the coexistence of
> >  L-LSP and E-LSP?
> 
> First your routers have to support both.  Using unsignaled E-LSP might
> be simplest if it meets your requirements.  Otherwise using signal
> E-LSP seems most flexible but using L-LSP is best if some links are
> ATM or FR.
> 
> > Thank you in advance.
> > 
> > Eleonora.
> 
> Curtis
> 

Steve

---

From: Curtis Villamizar <[email-masked]>
Date: Thu, 02 Nov 2000 09:27:53 -0500

In message <[email-masked]>, Steve Yao 
> are determined by the PHB signaled. Thus there is no need to configure a

Strictly speaking with signaled E-LSP, each LSP has a per EXP mapping
to PHB.  A signaled E-LSP can have more than one BA.  You can also
separate traffic by BA into separate signaled E-LSP if you need to
know the sum of bandwidth per BA.  This is a usage issue.

With signaled E-LSP and MPLS you get the added information of the
reserved bandwidth per BA if you limit yourself to one BA per LSP.  If
you want this information to help set queue weights, you can make it
available and use it.  This is something you can't do with diff-serv
without MPLS.

Curtis